function y = conv_cyc(h,x)
% function y = conv_cyc(h,x) = (h * x)(n)
%
% compute cyclic convolution using matrix form
%
% (c) 2000, G. Doblinger TU-Wien

if nargin == 0
   help conv_cyc
   return
end

N = length(h);
if N ~= length(x)
   error('vectors h and x must have same length');
end
h = h(:);
h1 = [h(2:N) ; h];
ic = [0:N-1]';
ir = N:-1:1;
H = ic(:,ones(N,1)) + ir(ones(N,1),:);
H(:) = h1(H);

y = H * x;