function dE = nuf_grd(ht,Lf,Lt,A,Ut1,Utp,Q,alpha)
%
% gradient of error function for nuftran.m, optimization with fminu()
% see nuftran.m for parameters
%
% G. Doblinger, TU-Wien, 06-1996

fi = Lf:-1:1;
I = ones(1,Lt);
d = Ut1*ht;
D = d*I;
di = d(fi);
b1 = d.*di;
b2 = d.^2;
db1 = Ut1.*(di*I) + Ut1(fi,:).*D;
db2 = 2*Ut1.*D;
d = Utp*ht;
b3 = d.^2;
db3 = 2*Utp.*(d*I);
bs = Q*ht;

dE = alpha(1)*(b1-A(:,1))'*db1 + alpha(2)*(b2-A(:,2))'*db2 +...
     alpha(3)*(b3-A(:,3))'*db3 + alpha(4)*bs';
dE = 2*dE;