function dE = nuf_grad(ht,Lf,Lt,A,Ut1,Ut2,Utp,Q,alpha)
%
% gradient of error function for nuftrans.m, optimization with fminu()
% see nuftrans.m for parameters
%
% (c) copyright 5-1996, G.Doblinger, TU-Wien
% EMAIL: gerhard.doblinger@tuwien.ac.at

% Db, 5-96

fi = Lf:-1:1;
I = ones(1,Lt);
d = Ut1*ht;
D = d*I;
di = d(fi);
b1 = d.*di;
b3 = d.^2;
db1 = Ut1.*(di*I) + Ut1(fi,:).*D;
db3 = 2*Ut1.*D;
d = Ut2*ht;
D = d*I;
di = d(fi);
b2 = d.*di;
b4 = d.^2;
db2 = Ut2.*(di*I) + Ut2(fi,:).*D;
db4 = 2*Ut2.*D;
d = Utp*ht;
b5 = d.^2;
db5 = 2*Utp.*(d*I);
bs = Q*ht;

dE = alpha(1)*(b1-A(:,1))'*db1 + alpha(2)*(b2-A(:,2))'*db2 +...
     alpha(3)*(b3-A(:,3))'*db3 + alpha(4)*(b4-A(:,4))'*db4 +...
     alpha(5)*(b5-A(:,5))'*db5 + alpha(6)*bs';
dE = 2*dE;