function multspec(Fs,x1,x2,x3)
% function multspec(Fs,x1,x2,x3)
%
% purpose: plot spectrograms of signals x1, x2, x3, (sampling frequency Fs in Hertz)
% call:    multspec(Fs,x1) or multspec(Fs,x1,x2) or multspec(Fs,x1,x2,x3)
%
% G. Doblinger, TU Wien, 11-1997 

% other functions required: spect.m, specplay.m, play.m

if nargin == 0
   help multspec
   return
elseif nargin == 2
   pos = [0.05 0.15 0.9 0.7];
   dy = 0;
   signame1 = inputname(2);
elseif nargin == 3
   if strcmp(upper(computer),'PCWIN')
      pos = [0.05 0.555 0.9 0.4];
      dy = [0 0.49];
   else
      pos = [0.05 0.522 0.9 0.42];
      dy = [0 0.485];
   end
   signame1 = inputname(2);
   signame2 = inputname(3);
elseif nargin == 4
   if strcmp(upper(computer),'PCWIN')
      pos = [0.05 0.695 0.9 0.246];
      dy = [0 0.322 0.3];
   else
      pos = [0.05 0.682 0.9 0.26];
      dy = [0 0.315 0.315];
   end
   signame1 = inputname(2);
   signame2 = inputname(3);
   signame3 = inputname(4);
else
   error('Too much signals')
end

global G_x_zoom
clear global G_x_zoom   % delete old signal vectors
global G_x_zoom
global G_Fsampl

G_Fsampl = Fs;
if Fs < 16000
   N = 256
elseif Fs < 24000
   N = 512;
else
   N = 1024;
end
M = N/4;
for n = 1:nargin-1
   pos(2) = pos(2) - dy(n);
   eval(['spect(x',int2str(n),',80,',int2str(N),',',int2str(M),',pos,signame',int2str(n),');']);
end
